Bug 1699091 - pyanaconda.modules.common.errors.DBusError 'NoneType' object has no attribute 'upper'
Summary: pyanaconda.modules.common.errors.DBusError 'NoneType' object has no attribute...
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 30
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Radek Vykydal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2019-04-11 18:36 UTC by Paul Whalen
Modified: 2019-05-17 13:14 UTC (History)
10 users (show)

Fixed In Version: anaconda-31.10-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
kickstart (8.57 KB, text/plain)
2019-04-11 18:37 UTC, Paul Whalen
no flags Details
anaconda log (4.77 KB, text/plain)
2019-04-11 18:38 UTC, Paul Whalen
no flags Details
syslog (300.50 KB, text/plain)
2019-04-12 14:02 UTC, Paul Whalen
no flags Details

Description Paul Whalen 2019-04-11 18:36:55 UTC
Description of problem:
Attempting to install a Fedora 30 nightly in Beaker (Fedora-30-20190408.n.0).

Starting installer, one moment...
anaconda 30.25.4-1.fc30 for Fedora 30 (pre-release) started.
 * installation log files are stored in /tmp during the installation
 * shell is available on TTY2
 * if the graphical installation interface fails to start, try again with the  
   inst.text bootoption to start text installation                             
 * when reporting a bug add logs from /tmp as separate text/plain attachments  
13:46:00 Running pre-installation scripts                                      
Traceback (most recent call last):
  File "/sbin/anaconda", line 593, in <module>                                 
    initialize_network()
  File "/usr/lib64/python3.7/site-packages/pyanaconda/network.py", line 310, in
initialize_network
    run_network_initialization_task(network_proxy.ApplyKickstartWithTask())    
  File "/usr/lib64/python3.7/site-packages/pyanaconda/network.py", line 289, in
run_network_initialization_task
    sync_run_task(task_proxy)
  File "/usr/lib64/python3.7/site-packages/pyanaconda/modules/common/task/__init__.py", line 60, in sync_run_task
    task_proxy.Finish()
  File "/usr/lib/python3.7/site-packages/pydbus/proxy_method.py", line 102, in __call__
    raise error
pyanaconda.modules.common.errors.DBusError: 'NoneType' object has no attribute 'upper'


Version-Release number of selected component (if applicable):
anaconda 30.25.4-1.fc30

Comment 1 Paul Whalen 2019-04-11 18:37:33 UTC
Created attachment 1554619 [details]
kickstart

Comment 2 Paul Whalen 2019-04-11 18:38:01 UTC
Created attachment 1554621 [details]
anaconda log

Comment 3 Radek Vykydal 2019-04-12 10:14:53 UTC
Please attach also syslog log file.
And/or add a link to the failed beaker job if available.

Comment 4 Paul Whalen 2019-04-12 14:02:20 UTC
Created attachment 1554803 [details]
syslog

Comment 5 Radek Vykydal 2019-04-12 15:14:03 UTC
1) The cause of the crash is using:

- ksdevice=bootif boot option with BOOTIF value missing from boot options (usually added by PXE "ipappend 2"):

BOOT_IMAGE=/images/apm-mustang-ev3-02.lab.eng.brq.redhat.com/kernel ks=http://beaker.engineering.redhat.com/kickstart/5345774 ksdevice=bootif netboot_method=grub2

- with a device defined in kickstart without --device option, in which case boot option "ksdevice" is used to supply value to --device ("bootif"):

network --bootproto=dhcp --hostname=apm-mustang-ev3-02.lab.eng.brq.redhat.com


2) PR to prevent the crash:

https://github.com/rhinstaller/anaconda/pull/1947


3) updates image with the patch (against version from the description):

https://rvykydal.fedorapeople.org/updates.nmbootifnone.img

can be checked / applied by using boot option

updates=https://rvykydal.fedorapeople.org/updates.nmbootifnone.img

or kickstart command

updates https://rvykydal.fedorapeople.org/updates.nmbootifnone.img

Comment 6 Jeff Bastian 2019-05-16 20:48:40 UTC
See bug 1710993 for a request for Beaker to stop adding ksdevice=bootif by default.

Comment 7 Paul Whalen 2019-05-17 00:33:37 UTC
This unfortunately still affects Fedora 30 final installations in beaker, working with ksdevice=bootif removed from the kernel args.

I checked Fedora-Rawhide-20190515.n.1 which includes anaconda 31.12-1.fc31, and it appears to be working as expected even with 'ksdevice=bootif' included.


Note You need to log in before you can comment on or make changes to this bug.